Resent-Date: Tue, 19 Jan 1999 10:19:01 +0100 (MET)
From: zippel@fh-brandenburg.de (Roman Zippel)
Subject: Re: 2.2.0pre7
To: Jes.Sorensen@cern.ch (Jes Sorensen)
Date: Tue, 19 Jan 1999 10:18:55 +0100 (MET)
Cc: linux-m68k@lists.linux-m68k.org
In-Reply-To: <199901181614.RAA08608@valhall.cern.ch> from "Jes Sorensen" at Jan 18, 99 05:14:55 pm
Resent-From: linux-m68k@phil.uni-sb.de

Hi,

> 2.2.0pre7 is out - it includes all the patches I have found on the list
> (I think).

After the mm problem seems to be solved :), only a few patches:
- head.S: something else left from debugging
- z2ram.c: m68k needs this includes now too
- 8390.c: shut the interrupt for ariadne2 (alternativly
  the "#if 0" can be changed to 1, but I don't want that
  prints anymore. :) )

bye, Roman

--- linux-2.2-pre7/arch/m68k/kernel/head.S.org	Tue Jan 19 10:24:19 1999
+++ linux-2.2-pre7/arch/m68k/kernel/head.S	Tue Jan 19 10:25:00 1999
@@ -868,7 +868,6 @@
 	 * 030:	Map the 32Meg range physical 0x0 upto logical 0x8000.0000
 	 */
 	mmu_map	#0x80000000,#0,#0x02000000,#_PAGE_NOCACHE030
-	mmu_map_tt	1,#0xf8000000,#0x08000000,#_PAGE_NOCACHE_S
 
 	jbra	L(mmu_init_done)
 
--- linux-2.2-pre7/drivers/block/z2ram.c.org	1999/01/18 22:02:14
+++ linux-2.2-pre7/drivers/block/z2ram.c	1999/01/18 23:00:12
@@ -40,10 +40,8 @@
 #include <asm/setup.h>
 #include <asm/bitops.h>
 #include <asm/amigahw.h>
-#ifdef CONFIG_APUS
 #include <asm/pgtable.h>
 #include <asm/io.h>
-#endif
 #include <linux/zorro.h>
 
 
--- linux-2.2-pre7/drivers/net/8390.c.org	1999/01/12 22:52:03
+++ linux-2.2-pre7/drivers/net/8390.c	1999/01/18 23:29:46
@@ -424,16 +424,21 @@
 	 
 	spin_lock(&ei_local->page_lock);
 
-	if (dev->interrupt || ei_local->irqlock) 
-	{
-#if 1 /* This might just be an interrupt for a PCI device sharing this line */
+	if (ei_local->irqlock) {
 		/* The "irqlock" check is only for testing. */
-		printk(ei_local->irqlock
-			   ? "%s: Interrupted while interrupts are masked! isr=%#2x imr=%#2x.\n"
-			   : "%s: Reentering the interrupt handler! isr=%#2x imr=%#2x.\n",
+#if 0	/* This might just be an interrupt for a PCI device sharing this line */
+		printk("%s: Interrupted while interrupts are masked! "
+			"isr=%#2x imr=%#2x.\n", dev->name,
+			inb_p(e8390_base + EN0_ISR), inb_p(e8390_base + EN0_IMR));
+#endif
+		spin_unlock(&ei_local->page_lock);
+		return;
+	}
+
+	if (dev->interrupt) {
+		printk("%s: Reentering the interrupt handler! isr=%#2x imr=%#2x.\n",
 			   dev->name, inb_p(e8390_base + EN0_ISR),
 			   inb_p(e8390_base + EN0_IMR));
-#endif
 		spin_unlock(&ei_local->page_lock);
 		return;
 	}

